# Edit Response for Interaction

```http
POST https://api.synup.com/api/v4/locations/reviews/respond/edit
```

Edit the existing response provided any Interaction

Source: https://developer.synup.com/api/reviews/edit-response-for-interaction

## Request body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `reviewId` | string | required | ID of the interaction |
| `responseContent` | string | required | Response text content |
| `responseId` | string | required | Response ID |

## Example request

```bash
curl -X POST 'https://api.synup.com/api/v4/locations/reviews/respond/edit' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "reviewId": "2090753a-ece6-4837-8336-8494ad308523",
  "responseContent": "This is a edited sample response",
  "responseId": "2090753a-ece6-4837-8336-8494ad308523"
}'
```

## Responses

| Status | Description |
| --- | --- |
| `200` | Response successfully posted |
